# MSP::CCS::ThreeParameterDatum Class Reference

`#include <ThreeParameterDatum.h>`

Inheritance diagram for MSP::CCS::ThreeParameterDatum:

List of all members.

## Public Member Functions

| ThreeParameterDatum ()
| ThreeParameterDatum (long __index, char *__code, char *__ellipsoidCode, char *__name, DatumType::Enum __datumType, double __deltaX, double __deltaY, double __deltaZ, double __westLongitude, double __eastLongitude, double __southLatitude, double __northLatitude, double __sigmaX, double __sigmaY, double __sigmaZ, bool __userDefined)
| ~ThreeParameterDatum (void)
double | sigmaX () const
double | sigmaY () const
double | sigmaZ () const

## Detailed Description

Definition at line 13 of file ThreeParameterDatum.h.

## Constructor & Destructor Documentation

ThreeParameterDatum::ThreeParameterDatum | ( |  | ) |

Definition at line 21 of file ThreeParameterDatum.cpp.

ThreeParameterDatum::ThreeParameterDatum | ( | long | __index,
|  | char * | __code,
|  | char * | __ellipsoidCode,
|  | char * | __name,
|  | DatumType::Enum | __datumType,
|  | double | __deltaX,
|  | double | __deltaY,
|  | double | __deltaZ,
|  | double | __westLongitude,
|  | double | __eastLongitude,
|  | double | __southLatitude,
|  | double | __northLatitude,
|  | double | __sigmaX,
|  | double | __sigmaY,
|  | double | __sigmaZ,
|  | bool | __userDefined |
| ) |  |  |

Definition at line 30 of file ThreeParameterDatum.cpp.

ThreeParameterDatum::~ThreeParameterDatum | ( | void |  | ) |

Definition at line 42 of file ThreeParameterDatum.cpp.

## Member Function Documentation

double ThreeParameterDatum::sigmaX | ( |  | ) | const

Definition at line 47 of file ThreeParameterDatum.cpp.

double ThreeParameterDatum::sigmaY | ( |  | ) | const

Definition at line 53 of file ThreeParameterDatum.cpp.

double ThreeParameterDatum::sigmaZ | ( |  | ) | const

Definition at line 59 of file ThreeParameterDatum.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/datum/ThreeParameterDatum.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/datum/ThreeParameterDatum.cpp